=== src/core/uae/Makefile ===
--- 
+++ 
@@ -9,7 +9,8 @@
 
 gen: cpudefs.c cpustbl.c cputbl.h cpuemu.c
 
-all: cpudefs.o cpustbl.o readcpu.o fpp.o missing.o cpuemu1.o cpuemu2.o cpuemu3.o cpuemu4.o cpuemu5.o cpuemu6.o cpuemu7.o cpuemu8.o
+# WARNING: Don't try to build newcpu.o here, because newcpu.c references TiEmu include files.
+all: cpudefs.o cpustbl.o readcpu.o fpp.o missing.o xmalloc.o cpuemu1.o cpuemu2.o cpuemu3.o cpuemu4.o cpuemu5.o cpuemu6.o cpuemu7.o cpuemu8.o
 
 # For cross-compiling (generators are run on host)
 build68k_host.o: build68k.c
@@ -22,26 +23,28 @@
 	gcc -c -o $@ $?
 missing_host.o: missing.c
 	gcc -c -o $@ $?
+xmalloc_host.o: xmalloc.c
+	gcc -c -o $@ $?
 
 # Build generators and files to generate
 build68k: build68k_host.o
 	@echo "-> Compiling 68k builder..."
 	gcc $(LDFLAGS) -o $@ $?
 
-gencpu: gencpu_host.o readcpu_host.o cpudefs_host.o missing_host.o
+gencpu: gencpu_host.o readcpu_host.o cpudefs_host.o missing_host.o xmalloc_host.o
 	@echo "-> Compiling CPU generator..."
-	gcc $(LDFLAGS) -o $@ $?
+	gcc $(LDFLAGS) -o $@ gencpu_host.o readcpu_host.o cpudefs_host.o missing_host.o xmalloc_host.o
 
 cpudefs.c: build68k table68k
 	@echo "-> Building CPU definitions..."
 	./build68k <table68k >cpudefs.c
 
-cpuemu.c: gencpu compiler.h
+cpuemu.c: gencpu
 	@echo "-> Generating CPU tables..."
 	./gencpu
 
 # gencpu also creates cpustbl.c and cputbl.h
-cpustbl.c: cpuemu.c compiler.h
+cpustbl.c: cpuemu.c
 cputbl.h: cpuemu.c
 
 # CPU engine
@@ -73,7 +76,9 @@
 	$(CC) $(INCLUDES) -c $(INCDIRS) $(CPUFLAGS) $< -o $@
 missing.o: missing.c
 	$(CC) $(INCLUDES) -c $(INCDIRS) $(CPUFLAGS) $< -o $@ 
-newcpu.o: newcpu.c newcpu.h compiler.h
+xmalloc.o: xmalloc.c
+	$(CC) $(INCLUDES) -c $(INCDIRS) $(CPUFLAGS) $< -o $@ 
+newcpu.o: newcpu.c newcpu.h
 	$(CC) $(INCLUDES) -c $(INCDIRS) $(CPUFLAGS) $< -o $@
 
 clean:
