=== src/core/uae/Makefile ===
--- 
+++ 
@@ -10,30 +10,30 @@
 gen: cpudefs.c cpustbl.c cputbl.h cpuemu.c
 
 # WARNING: Don't try to build newcpu.o here, because newcpu.c references TiEmu include files.
-all: cpudefs.o cpustbl.o readcpu.o fpp.o missing.o xmalloc.o cpuemu1.o cpuemu2.o cpuemu3.o cpuemu4.o cpuemu5.o cpuemu6.o cpuemu7.o cpuemu8.o
+all: cpudefs.o cpustbl.o readcpu.o fpp.o missing.o cpuemu1.o cpuemu2.o cpuemu3.o cpuemu4.o cpuemu5.o cpuemu6.o cpuemu7.o cpuemu8.o
 
 # For cross-compiling (generators are run on host)
 build68k_host.o: build68k.c
-	gcc -c -o $@ $?
+	C_INCLUDE_PATH="" LIBRARY_PATH="" gcc -c -o $@ $?
 gencpu_host.o: gencpu.c
-	gcc -c -o $@ $?
+	C_INCLUDE_PATH="" LIBRARY_PATH="" gcc -c -o $@ $?
 readcpu_host.o: readcpu.c
-	gcc -c -o $@ $?
+	C_INCLUDE_PATH="" LIBRARY_PATH="" gcc -c -o $@ $?
 cpudefs_host.o: cpudefs.c
-	gcc -c -o $@ $?
+	C_INCLUDE_PATH="" LIBRARY_PATH="" gcc -c -o $@ $?
 missing_host.o: missing.c
-	gcc -c -o $@ $?
+	C_INCLUDE_PATH="" LIBRARY_PATH="" gcc -c -o $@ $?
 xmalloc_host.o: xmalloc.c
-	gcc -c -o $@ $?
+	C_INCLUDE_PATH="" LIBRARY_PATH="" gcc -c -o $@ $?
 
 # Build generators and files to generate
 build68k: build68k_host.o
 	@echo "-> Compiling 68k builder..."
-	gcc $(LDFLAGS) -o $@ $?
+	C_INCLUDE_PATH="" LIBRARY_PATH="" gcc $(LDFLAGS) -o $@ $?
 
 gencpu: gencpu_host.o readcpu_host.o cpudefs_host.o missing_host.o xmalloc_host.o
 	@echo "-> Compiling CPU generator..."
-	gcc $(LDFLAGS) -o $@ gencpu_host.o readcpu_host.o cpudefs_host.o missing_host.o xmalloc_host.o
+	C_INCLUDE_PATH="" LIBRARY_PATH="" gcc $(LDFLAGS) -o $@ gencpu_host.o readcpu_host.o cpudefs_host.o missing_host.o xmalloc_host.o
 
 cpudefs.c: build68k table68k
 	@echo "-> Building CPU definitions..."
@@ -76,8 +76,6 @@
 	$(CC) $(INCLUDES) -c $(INCDIRS) $(CPUFLAGS) $< -o $@
 missing.o: missing.c
 	$(CC) $(INCLUDES) -c $(INCDIRS) $(CPUFLAGS) $< -o $@ 
-xmalloc.o: xmalloc.c
-	$(CC) $(INCLUDES) -c $(INCDIRS) $(CPUFLAGS) $< -o $@ 
 newcpu.o: newcpu.c newcpu.h
 	$(CC) $(INCLUDES) -c $(INCDIRS) $(CPUFLAGS) $< -o $@
