## tiemu 3.03-nogdb+dfsg

=== debian/changelog ===
tiemu (3.03-nogdb+dfsg-2) unstable; urgency=low

  * Fix debian/watch.  Cleanup.

 -- Andreas B. Mundt <andi@debian.org>  Tue, 27 Aug 2013 19:37:33 +0200

tiemu (3.03-nogdb+dfsg-1) unstable; urgency=low

  * Team maintained in Debian-Science now (closes: #678861).
    Modifications in cooperation with Albert Huang
    <alberth.debian@gmail.com>, thanks!
  * New upstream release.
  * Switch packaging format to 3.0 (quilt), Standards-Version to 3.9.4
    and debhelper to 9 (closes: #661033).  Thanks to Jari Aalto
    <jari.aalto@cante.net>.
  * Update patches, and:
    - Remove 02_tiemu3_dock_fixes.dpatch, fixed upstream.
    - Remove 03_memset_include_cstring.dpatch, fixed upstream.
    - Remove 05_remove_vlc_cable.dpatch, fixed upstream.

 -- Andreas B. Mundt <andi@debian.org>  Fri, 16 Aug 2013 10:41:18 +0200

tiemu (3.02-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: gui/calc/calc.c:589:4: error: 'GtkFunction' undeclared
    (first use in this function)": use updated patch
    01_gtk_disable_deprecated.dpatch from Ubuntu / Andreas Moog
    (Closes: #621997, LP: #756074)
  * The package still FTBFS, so let's apply the remaining Ubuntu patches:
    - 05_remove_vlc_cable.dpatch (Scott Kitterman):
      Fix FTBFS with newer libs - Cherry pick from upstream svn
    - 06_drop_GtkNotebookPage.dpatch (Scott Kitterman):
      Replace deprecated function with gpointer to FTBFS.

 -- gregor herrmann <gregoa@debian.org>  Thu, 20 Oct 2011 19:13:28 +0200

tiemu (3.02-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/04_remove_deprecated_gtk_calls:
    - Replace deprecated GTK macro with related function, patch from
      Scott Howard (Closes: #577379, #574745).

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 08 May 2010 13:53:02 +0200

tiemu (3.02-1) unstable; urgency=low

  * New upstream release.
  * New maintainer. (Closes: #362159)
  * Changed dependency from iceape to iceweasel.
  * Conforms with latest Standards Version 3.8.3.

 -- Krzysztof Burghardt <krzysztof@burghardt.pl>  Sun, 27 Sep 2009 12:15:27 +0200

tiemu (2.00-4) unstable; urgency=low

  * QA upload
  * Use dpatch for patch management
  * src/gui/filesel.c, src/gui/calc/popup.c: undefine GTK_DISABLE_DEPRECATED
    before including gtk/gtk.h. Patch taken from Ubuntu. (Closes: #456848)
  * debian/rules target clean: do not ignore errors of "make clean"
  * menu entry: put in section Applications/Science/Mathematics instead of
    depreciated Apps/Math.

 -- Ralf Treinen <treinen@debian.org>  Wed, 16 Jan 2008 21:35:36 +0100

tiemu (2.00-3) unstable; urgency=low

  * QA upload.
  * Replace dependency on transitional mozilla-browser package
    with iceape-browser. (Closes: #406802)
  * Conforms with latest Standards Version 3.7.2

 -- Michael Ablassmeier <abi@debian.org>  Mon, 22 Jan 2007 10:32:07 +0100

tiemu (2.00-2) unstable; urgency=low

  * Orphaning this package.
  * debian/control:
    + Maintainer: set to QA.

 -- Julien BLACHE <jblache@debian.org>  Wed, 12 Apr 2006 17:06:38 +0200

tiemu (2.00-1) unstable; urgency=low

  * New upstream release.
    + Updated Build-Depends.
  * debian/control:
    + Bumped Standards-Version to 3.6.2 (no changes).

 -- Julien BLACHE <jblache@debian.org>  Sun, 28 Aug 2005 23:38:56 +0200

tiemu (1.99+svn1460-1) unstable; urgency=low

  * New snapshot.
  * debian/control:
    + Updated build-depends.

 -- Julien BLACHE <jblache@debian.org>  Thu,  2 Jun 2005 16:50:15 +0200

tiemu (1.99+svn1148-2) unstable; urgency=low

  * src/misc/printl.c:
    + Usual va_list fixes. Boring. Depressing.
  * src/gui/filesel.c:
    + Silly typo fix.

 -- Julien BLACHE <jblache@debian.org>  Tue,  3 May 2005 21:13:14 +0200

tiemu (1.99+svn1148-1) unstable; urgency=low

  * New upstream snapshot.

 -- Julien BLACHE <jblache@debian.org>  Wed, 20 Apr 2005 11:33:10 +0200

tiemu (1.99+svn1050-1) unstable; urgency=low

  * TiEmu II beta release, works better than previous 1.65 (closes: #301991).
  * debian/control:
    + Moved from contrib to main as it now ships with a FREE ROM (PedRom, GPL),
      so it doesn't depend on the TI ROMs anymore.

 -- Julien BLACHE <jblache@debian.org>  Thu,  7 Apr 2005 12:16:51 +0200

tiemu (1.65-6) unstable; urgency=low

  * Rebuilt against newest libti*, bumped B-D.

 -- Julien BLACHE <jblache@debian.org>  Wed, 27 Oct 2004 14:15:44 +0200

tiemu (1.65-5) unstable; urgency=low

  * debian/control:
    + Build-depends on newer libti*-dev, as the ti*-config scripts got removed.
    + Removed the xlibs-dev build-dependency as it's pulled in by GTK+.
    + Bumped Standards-Version to 3.6.1.
  * debian/compat, debian/rules, debian/control:
    + Switched to DH_COMPAT=4
  * Fixed configure to use pkg-config instead of the ti*-config scripts.

 -- Julien BLACHE <jblache@debian.org>  Tue, 26 Oct 2004 14:01:56 +0200

tiemu (1.65-4) unstable; urgency=low

  * Added AM_MAINTAINER_MODE to configure.ac to prevent regeneration of the
    whole build system...
  * Changed -mpentium to -mcpu=pentium on x86.
  * Bumped Standards-Version to 3.5.9.

 -- Julien BLACHE <jblache@debian.org>  Thu, 10 Apr 2003 21:14:37 +0200

tiemu (1.65-3) unstable; urgency=low

  * Rebuilt against newest libti*.

 -- Julien BLACHE <jblache@debian.org>  Mon, 17 Mar 2003 22:07:20 +0100

tiemu (1.65-2) unstable; urgency=low

  * Fix build on non-i386 architectures, again.

 -- Julien BLACHE <jblache@debian.org>  Sun, 20 Oct 2002 21:09:29 +0200

tiemu (1.65-1) unstable; urgency=low

  * New upstream release.
  * Fixes FTBFS with newer libti*.
  * Use the symlink method with autotools-dev.

 -- Julien BLACHE <jblache@debian.org>  Sun, 20 Oct 2002 13:34:16 +0200

tiemu (1.64-2) unstable; urgency=low

  * Fixes for non-i386 arches, build & runtime (closes: Bug#156053).

 -- Julien BLACHE <jblache@debian.org>  Sat, 10 Aug 2002 11:07:51 +0200

tiemu (1.64-1) unstable; urgency=low

  * Package renamed (gtktiemu -> tiemu).
  * New upstream release.
  * Uses new libti*.


